For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAdd/Edit Bank Details
      • PATCHChange the auto-withdrawal setting
      • POSTCreate a bank transfer method
      • DELDelete Bank Details
      • POSTDynamic Requirements
      • GETFetch all payout methods
      • GETGet Bank Details
      • GETGet bank transfer requirements
      • GETGet bank transfer supported routes for contractor
      • GETGet the auto-withdrawal setting
      • GETList Contractor Balances
      • POSTRequest to withdraw funds
      • PUTUpdate a bank transfer method
      • POSTUpdate auto withdraw setting for contractor
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsPayouts

Update a bank transfer method

PUT
/payouts/contractors/methods/:id
PUT
/rest/v2/payouts/contractors/methods/:id
$curl -X PUT https://api.letsdeel.com/rest/v2/payouts/contractors/methods/d290f1ee-6c54-4b01-90e6-d701748f0851 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "address": {
> "city": "San Francisco",
> "country": "US",
> "post_code": "22406",
> "first_line": "First Line",
> "state": "CA"
> },
> "payload": {
> "currency": "USD",
> "swiftCode": "DBDBRSBG",
> "intermediary": {
> "bic": "RSDASDS",
> "country": "US"
> },
> "accountNumber": "SA0380000000608010165443",
> "accountHolderName": "John Doe"
> },
> "payment_method": "bank_transfer",
> "is_default": true
> }
>}'
1{
2 "data": {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "status": "approved"
5 }
6}

Fully replaces the bank transfer method; all method fields must be provided as this is a complete replacement, not a partial update. Token scopes: worker:read, worker:write

Was this page helpful?
Previous

Update auto withdraw setting for contractor

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequired
Method unique identifier

Request

This endpoint expects an object.
dataobjectRequired

Response

Bank transfer method created successfully.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication